## org.apache.catalina.deploy
Class MessageDestination

    java.lang.Object
      org.apache.catalina.deploy.MessageDestination

public class MessageDestination
extends java.lang.Object

Representation of a message destination for a web application, as represented in a `<message-destination>` element in the deployment descriptor.

Since:
  Tomcat 5.0
Version:
  $Revision: 1.3 $ $Date: 2004/05/13 20:40:49 $
Author:
  Craig R. McClanahan

Constructor Summary
`MessageDestination()`

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getDisplayName()`
`java.lang.String` `getLargeIcon()`
`java.lang.String` `getName()`
`java.lang.String` `getSmallIcon()`
`void` `setDescription(java.lang.String description)`
`void` `setDisplayName(java.lang.String displayName)`
`void` `setLargeIcon(java.lang.String largeIcon)`
`void` `setName(java.lang.String name)`
`void` `setSmallIcon(java.lang.String smallIcon)`
`java.lang.String` `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageDestination

    public MessageDestination()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getDisplayName

    public java.lang.String getDisplayName()

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getLargeIcon

    public java.lang.String getLargeIcon()

### setLargeIcon

    public void setLargeIcon(java.lang.String largeIcon)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSmallIcon

    public java.lang.String getSmallIcon()

### setSmallIcon

    public void setSmallIcon(java.lang.String smallIcon)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.